import request from '@/utils/request'

// 查询能源对象属性列表
export function listAttr(query) {
  return request({
    url: '/ems/object/attr/list',
    method: 'get',
    params: query
  })
}

// 查询能源对象属性详细
export function getAttr(id) {
  return request({
    url: '/ems/object/attr/' + id,
    method: 'get'
  })
}


// 查询能源对象属性全部列表
export function getObjAttr(objType, objCode) {
  return request({
    url: `/ems/object/attr/getObjAttr?objType=${objType}&objCode=${encodeURIComponent(objCode)}`,
    method: 'get'
  })
}

// 新增能源对象属性
export function addAttr(data) {
  return request({
    url: '/ems/object/attr',
    method: 'post',
    data: data
  })
}

// 批量-新增能源对象属性
export function addAttrBatch(data) {
  return request({
    url: '/ems/object/attr/batch',
    method: 'post',
    data: data
  })
}

// 修改能源对象属性
export function updateAttr(data) {
  return request({
    url: '/ems/object/attr',
    method: 'put',
    data: data
  })
}

// 删除能源对象属性
export function delAttr(id) {
  return request({
    url: '/ems/obj/attr/' + id,
    method: 'delete'
  })
}
